Bug 1878736 - translations from dnf-plugin-subscription-manager are not rendered in the expected LANG
Summary: translations from dnf-plugin-subscription-manager are not rendered in the exp...
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: subscription-manager
Version: 8.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: 8.5
Assignee: Pino Toscano
QA Contact: Red Hat subscription-manager QE Team
URL:
Whiteboard:
: 1965187 1970431 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-14 12:25 UTC by John Sefler
Modified: 2021-07-01 14:23 UTC (History)
7 users (show)

Fixed In Version: subscription-manager-1.28.16-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github candlepin subscription-manager pull 2565 0 None closed 1878736: use our i18n functions instead of dnf ones 2021-04-14 08:17:41 UTC
Github candlepin subscription-manager pull 2573 0 None closed [1.28] 1878736: use our i18n functions instead of dnf ones 2021-04-14 08:17:44 UTC

Description John Sefler 2020-09-14 12:25:07 UTC
Description of problem:

Reported by translation testers, the messages from dnf-plugin-subscription-manager do not appear to be translated while running yum/dnf commands.


Version-Release number of selected component (if applicable):
[root@rhsm-auto8-client2 ~]# rpm -q dnf dnf-plugin-subscription-manager
dnf-4.2.23-4.el8.noarch
dnf-plugin-subscription-manager-1.27.16-1.el8.x86_64


How reproducible:


Steps to Reproduce:
  register but do not attach any subscriptions
[root@rhsm-auto8-client2 ~]# yum install foo
Updating Subscription Management repositories.

This system is registered to Red Hat Subscription Management, but is not receiving updates. You can use subscription-manager to assign subscriptions.

Error: There are no enabled repositories in "/etc/yum.repos.d", "/etc/yum/repos.d", "/etc/distro.repos.d".
[root@rhsm-auto8-client2 ~]# 
[root@rhsm-auto8-client2 ~]# LANG=ja_JP.utf8 yum install foo
Updating Subscription Management repositories.

This system is registered to Red Hat Subscription Management, but is not receiving updates. You can use subscription-manager to assign subscriptions.

エラー: "/etc/yum.repos.d", "/etc/yum/repos.d", "/etc/distro.repos.d" には有効化されたリポジトリーがありません。
[root@rhsm-auto8-client2 ~]# 


Actual results:
  above

Expected results:
  expected the first two messages about updating repositories and not receiving updates to appear translated.




Additional info:

The same failure exists on RHEL7....

[root@rhsm-auto7-server ~]# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 7.9 (Maipo)
[root@rhsm-auto7-server ~]# LANG=ja_JP.utf8 yum install foo
読み込んだプラグイン:product-id, rhnplugin, search-disabled-repos, subscription-manager

This system is registered with an entitlement server, but is not receiving updates. You can use subscription-manager to assign subscriptions.

This system is not registered with RHN Classic or Red Hat Satellite.
You can use rhn_register to register.
Red Hat Satellite or RHN Classic support will be disabled.
There are no enabled repos.
 Run "yum repolist all" to see the repos you have.
 To enable Red Hat Subscription Management repositories:
     subscription-manager repos --enable <repo>
 To enable custom repositories:
     yum-config-manager --enable <repo>
[root@rhsm-auto7-server ~]#

Comment 2 Pino Toscano 2021-04-12 12:14:55 UTC
Yup, definitely still a bug. Just sent a PR [1] to hopefully fix it.

[1] https://github.com/candlepin/subscription-manager/pull/2565

Comment 3 Jiri Hnidek 2021-04-13 14:22:50 UTC
It will be necessary to update translated strings for subscription-manager plugin, because current master branch contains outdated translations for many languages.

Comment 4 Pino Toscano 2021-04-14 07:31:57 UTC
(In reply to Jiri Hnidek from comment #3)
> It will be necessary to update translated strings for subscription-manager
> plugin, because current master branch contains outdated translations for
> many languages.

Yep, I plan to do that after I fix more untranslated strings (soon).

Comment 7 Shwetha Kallesh 2021-05-07 09:37:21 UTC
Pre-verification comment:

[root@kvm-07-guest32 ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 3.2.16-1
subscription management rules: 5.41
subscription-manager: 1.28.16-1.el8


[root@kvm-07-guest32 ~]# LANG=ja_JP.utf8 yum install foo
サブスクリプション管理リポジトリーを更新しています。<----- Passed, string has been translated

This system is registered with an entitlement server, but is not receiving updates. You can use subscription-manager to assign subscriptions.

^^ this untranslated string will translated and tracked as part of the bug https://bugzilla.redhat.com/show_bug.cgi?id=1944093

メタデータの期限切れの最終確認: 1:33:28 時間前の 2021年05月07日 03時45分29秒 に実施しました。
一致した引数がありません: foo
エラー: 一致するものが見つかりません: foo

Comment 9 Shwetha Kallesh 2021-05-20 05:37:01 UTC
verification comments:

[root@kvm-02-guest25 ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 3.2.18-1
subscription management rules: 5.41
subscription-manager: 1.28.16-1.el8


[root@kvm-02-guest25 ~]# LANG=ja_JP.utf8 yum install foo
サブスクリプション管理リポジトリーを更新しています。<----- Passed, string has been translated 

This system is registered with an entitlement server, but is not receiving updates. You can use subscription-manager to assign subscriptions.
^^ this untranslated string will be translated and tracked as part of the bug https://bugzilla.redhat.com/show_bug.cgi?id=1944093


メタデータの期限切れの最終確認: 0:24:01 時間前の 2021年05月20日 07時07分58秒 に実施しました。
一致した引数がありません: foo
エラー: 一致するものが見つかりません: foo


[root@kvm-02-guest25 ~]# LANG=ko_KR.utf8 yum install foo
서브스크립션 관리 저장소를 최신화하고 있습니다.

이 시스템은 Red Hat 자격관리 서버에 등록되어 있으나, 최신화로 수신되진 않습니다. subscription-manager를 사용하여 서브스크립션을 할당 할 수 있습니다.
^^ Observe that in korean, both the strings are completely translated

마지막 메타 데이터 만료 확인 :0:26:41. 2021년 05월 20일 (목) 오전 07시 07분 58초 이전에 확인
일치하는 인수가 없습니다: foo
오류: 일치하는 항목을 찾을 수 없습니다: foo

Comment 10 Pino Toscano 2021-06-29 10:52:09 UTC
*** Bug 1970431 has been marked as a duplicate of this bug. ***

Comment 11 Bhushan Barve 2021-07-01 06:50:50 UTC
*** Bug 1965187 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.